org.apache.activemq.artemis.api.core.management

## Class ObjectNameBuilder

- java.lang.Object
- - org.apache.activemq.artemis.api.core.management.ObjectNameBuilder

-     public final class ObjectNameBuilder
      extends Object

  Helper class to build ObjectNames for ActiveMQ Artemis resources.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ObjectNameBuilder` | `DEFAULT` Default JMX domain for ActiveMQ Artemis resources.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ObjectNameBuilder` | `create(String domain)`
    `static ObjectNameBuilder` | `create(String domain, String brokerName)`
    `static ObjectNameBuilder` | `create(String domain, String brokerName, boolean jmxUseBrokerName)`
    `ObjectName` | `getAcceptorObjectName(String name)` Returns the ObjectName used by AcceptorControl.
    `ObjectName` | `getActiveMQServerObjectName()` Returns the ObjectName used by the single `ActiveMQServerControl`.
    `ObjectName` | `getAddressObjectName(SimpleString address)` Returns the ObjectName used by AddressControl.
    `ObjectName` | `getBridgeObjectName(String name)` Returns the ObjectName used by BridgeControl.
    `ObjectName` | `getBroadcastGroupObjectName(String name)` Returns the ObjectName used by BroadcastGroupControl.
    `ObjectName` | `getClusterConnectionObjectName(String name)` Returns the ObjectName used by ClusterConnectionControl.
    `ObjectName` | `getConnectionFactoryObjectName(String name)` Returns the ObjectName used by ConnectionFactoryControl.
    `ObjectName` | `getDiscoveryGroupObjectName(String name)` Returns the ObjectName used by DiscoveryGroupControl.
    `ObjectName` | `getDivertObjectName(String name)` Returns the ObjectName used by DivertControl.
    `ObjectName` | `getJMSQueueObjectName(String name)` Returns the ObjectName used by JMSQueueControl.
    `ObjectName` | `getJMSServerObjectName()` Returns the ObjectName used by JMSServerControl.
    `ObjectName` | `getJMSTopicObjectName(String name)` Returns the ObjectName used by TopicControl.
    `ObjectName` | `getQueueObjectName(SimpleString address, SimpleString name)` Returns the ObjectName used by QueueControl.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT

          public static final ObjectNameBuilder DEFAULT

      Default JMX domain for ActiveMQ Artemis resources.

  - ### Method Detail

    - #### create

          public static ObjectNameBuilder create(String domain)

    - #### create

          public static ObjectNameBuilder create(String domain,
                                                 String brokerName)

    - #### create

          public static ObjectNameBuilder create(String domain,
                                                 String brokerName,
                                                 boolean jmxUseBrokerName)

    - #### getActiveMQServerObjectName

          public ObjectName getActiveMQServerObjectName()
                                                 throws Exception

      Returns the ObjectName used by the single `ActiveMQServerControl`.
      Throws:
        `Exception`

    - #### getAddressObjectName

          public ObjectName getAddressObjectName(SimpleString address)
                                          throws Exception

      Returns the ObjectName used by AddressControl.
      Throws:
        `Exception`
      See Also:
        `AddressControl`

    - #### getQueueObjectName

          public ObjectName getQueueObjectName(SimpleString address,
                                               SimpleString name)
                                        throws Exception

      Returns the ObjectName used by QueueControl.
      Throws:
        `Exception`
      See Also:
        `QueueControl`

    - #### getDivertObjectName

          public ObjectName getDivertObjectName(String name)
                                         throws Exception

      Returns the ObjectName used by DivertControl.
      Throws:
        `Exception`
      See Also:
        `DivertControl`

    - #### getAcceptorObjectName

          public ObjectName getAcceptorObjectName(String name)
                                           throws Exception

      Returns the ObjectName used by AcceptorControl.
      Throws:
        `Exception`
      See Also:
        `AcceptorControl`

    - #### getBroadcastGroupObjectName

          public ObjectName getBroadcastGroupObjectName(String name)
                                                 throws Exception

      Returns the ObjectName used by BroadcastGroupControl.
      Throws:
        `Exception`
      See Also:
        `BroadcastGroupControl`

    - #### getBridgeObjectName

          public ObjectName getBridgeObjectName(String name)
                                         throws Exception

      Returns the ObjectName used by BridgeControl.
      Throws:
        `Exception`
      See Also:
        `BridgeControl`

    - #### getClusterConnectionObjectName

          public ObjectName getClusterConnectionObjectName(String name)
                                                    throws Exception

      Returns the ObjectName used by ClusterConnectionControl.
      Throws:
        `Exception`
      See Also:
        `ClusterConnectionControl`

    - #### getDiscoveryGroupObjectName

          public ObjectName getDiscoveryGroupObjectName(String name)
                                                 throws Exception

      Returns the ObjectName used by DiscoveryGroupControl.
      Throws:
        `Exception`

    - #### getJMSServerObjectName

          public ObjectName getJMSServerObjectName()
                                            throws Exception

      Returns the ObjectName used by JMSServerControl.
      Throws:
        `Exception`

    - #### getJMSQueueObjectName

          public ObjectName getJMSQueueObjectName(String name)
                                           throws Exception

      Returns the ObjectName used by JMSQueueControl.
      Throws:
        `Exception`

    - #### getJMSTopicObjectName

          public ObjectName getJMSTopicObjectName(String name)
                                           throws Exception

      Returns the ObjectName used by TopicControl.
      Throws:
        `Exception`

    - #### getConnectionFactoryObjectName

          public ObjectName getConnectionFactoryObjectName(String name)
                                                    throws Exception

      Returns the ObjectName used by ConnectionFactoryControl.
      Throws:
        `Exception`

Copyright © 2017 The Apache Software Foundation. All rights reserved.